Subject: Re: bug#59346: Adding sqlite-backup

From: Jean Louis <[email-masked]>
Date: Sat, 19 Nov 2022 08:29:58 +0300

* Andrew Hyatt <[email-masked]> [2022-11-19 05:07]:
> But if you are interested in furthering the conversation, which has a lot
> to do with what I'm talking about in my upcoming (and already recorded)
> Emacs conference talk, I don't think the distinction you are making between
> files and databases is important.  Let's say I wanted to store, use and
> otherwise manipulate contact information with emacs.  Right now that sort
> of thing happens with a file with emacs-readable lists inside, but it's
> really more natural to do it with a database.  The fact that it's done via
> a file now seems historical, especially now that we have sqlite.  I expect
> that sqlite will be used for this sort of thing more often.  However, if
> there's no database option, then maybe not, since it won't be seen as
> reliable as the filesystem.  I don't think it is reasonable to expect users
> to figure out how to do this, even if the info is easy to find.  I'd like
> us to be able to encourage the use of sqlite for data, and give the user a
> good experience when sqlite is the backend.

I totally agree on that.

I have already made SQLite version of CRM for Emacs by using SQLite,
but it is not polished for public, it will be soon.

Backing up database which does not run on the file system is
trivial. That often needs human interaction.

Though there are use cases when programs run continuously without
human interaction and where there are too many changes to the database
that one cannot just control by human.

Thus program itself should be able to reliably backup the database
while it is running without human supervision.

There are programs like sending of mailing list, sending thousands of
SMS messages, and such programs may run autonomously over days. That
is how my programs are designed. They may accept the sales lead and
re-check if any new person has subscribed, then dispatch e-mail and
SMS to that person.

Having reliable backup functions thus is necessary and useful in those
cases of running programs.

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/